DCMTK: FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem Class Reference

Class representing an item of the "CT Acquisition Details " Functional Group Macro. More...

## Public Member Functions
| FGCTAcquisitionDetailsItem ()
| Constructor.
virtual | ~FGCTAcquisitionDetailsItem ()
| Virtual destructor.
virtual FGCTAcquisitionDetailsItem * | clone () const
| Returns a deep copy of this object.
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check () const
| Check whether the current content of this group is consistent and complete.
virtual OFCondition | read (DcmItem &item)
| Read CT Acquisition Details Sequence item from given dataitem.
virtual OFCondition | write (DcmItem &item)
| Writes the content of this class into CT Acquisition Details Sequence item (newly created) into given item.
virtual int | compare (const FGCTAcquisitionDetailsItem &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!
virtual OFCondition | getReferencedPathIndex (Uint16 &value, const unsigned long pos=0)
| Get Referenced Path Index.
virtual OFCondition | getReferencedPathIndex (OFVector< Uint16 > &values)
| Get Referenced Path Index.
virtual OFCondition | getRotationDirection (OFString &value, const signed long pos=0)
| Get Rotation Direction.
virtual OFCondition | getRotationDirection (E_RotationDirection &value, const signed long pos=0)
| Get Rotation Direction.
virtual OFCondition | getRevolutionTime (Float64 &value, const unsigned long pos=0)
| Get Revolution Time.
virtual OFCondition | getSingleCollimationWidth (Float64 &value, const unsigned long pos=0)
| Get Single Collimation Width.
virtual OFCondition | getTotalCollimationWidth (Float64 &value, const unsigned long pos=0)
| Get Total Collimation Width.
virtual OFCondition | getTableHeight (Float64 &value, const unsigned long pos=0)
| Get Table Height.
virtual OFCondition | getGantryDetectorTilt (Float64 &value, const unsigned long pos=0)
| Get Gantry Detector Tilt.
virtual OFCondition | getDataCollectionDiameter (Float64 &value, const unsigned long pos=0)
| Get Data Collection Diameter.
virtual OFCondition | setReferencedPathIndex (const OFVector< Uint16 > &values, const OFBool checkValues=OFTrue)
| Set Referenced Path Index.
virtual OFCondition | setRotationDirection (const E_RotationDirection &value, const OFBool checkValue=OFTrue)
| Set Rotation Direction.
virtual OFCondition | setRevolutionTime (const Float64 value, const OFBool checkValue=OFTrue)
| Set Revolution Time.
virtual OFCondition | setSingleCollimationWidth (const Float64 value, const OFBool checkValue=OFTrue)
| Set Single Collimation Width.
virtual OFCondition | setTotalCollimationWidth (const Float64 value, const OFBool checkValue=OFTrue)
| Set Total Collimation Width.
virtual OFCondition | setTableHeight (const Float64 value, const OFBool checkValue=OFTrue)
| Set Table Height.
virtual OFCondition | setGantryDetectorTilt (const Float64 value, const OFBool checkValue=OFTrue)
| Set Gantry/Detector Tilt.
virtual OFCondition | setDataCollectionDiameter (const Float64 value, const OFBool checkValue=OFTrue)
| Set Data Collection Diameter.

## Private Attributes
DcmUnsignedShort | m_ReferencedPathIndex
| Referenced Path Index (US, VM 1-n, Required type 1C).
DcmCodeString | m_RotationDirection
| Rotation Direction (CS, 1, 1C).
DcmFloatingPointDouble | m_RevolutionTime
| Revolution Time (FD, 1, 1C).
DcmFloatingPointDouble | m_SingleCollimationWidth
| Single Collimation Width (FD, 1, 1C).
DcmFloatingPointDouble | m_TotalCollimationWidth
| Total Collimation Width (FD, 1, 1C).
DcmDecimalString | m_TableHeight
| Table Height (DS, 1, 1C).
DcmDecimalString | m_GantryDetectorTilt
| Gantry/Detector Tilt (DS, 1, 1C).
DcmDecimalString | m_DataCollectionDiameter
| Data Collection Diameter (DS, 1, 1C).

## Detailed Description

Class representing an item of the "CT Acquisition Details " Functional Group Macro.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::check | ( |  | ) | const
| virtual

Check whether the current content of this group is consistent and complete.

Returns
  EC_Normal, if no errors are found, error otherwise

## ◆ clone()

virtual FGCTAcquisitionDetailsItem * FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

References FGCTAcquisitionDetailsItem().

## ◆ compare()

virtual int FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::compare | ( | const FGCTAcquisitionDetailsItem & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!

Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

References FGCTAcquisitionDetailsItem().

## ◆ getDataCollectionDiameter()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::getDataCollectionDiameter | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Data Collection Diameter.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getGantryDetectorTilt()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::getGantryDetectorTilt | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Gantry Detector Tilt.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReferencedPathIndex() [1/2]

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::getReferencedPathIndex | ( | OFVector< Uint16 > & | values | ) |
| virtual

Get Referenced Path Index.

Parameters

  values | Reference to variable that should hold the result

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReferencedPathIndex() [2/2]

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::getReferencedPathIndex | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Referenced Path Index.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getRevolutionTime()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::getRevolutionTime | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Revolution Time.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getRotationDirection() [1/2]

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::getRotationDirection | ( | E_RotationDirection & | value,
|  | const signed long | pos = 0 )
| virtual

Get Rotation Direction.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getRotationDirection() [2/2]

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::getRotationDirection | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Rotation Direction.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getSingleCollimationWidth()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::getSingleCollimationWidth | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Single Collimation Width.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getTableHeight()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::getTableHeight | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Table Height.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getTotalCollimationWidth()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::getTotalCollimationWidth | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Total Collimation Width.

Parameters

  value | Reference to variable that should hold the result
  pos | Position of the value inside the DICOM element. If 0, the first value is returned. If the no value at the given position exists, an error is returned.

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ read()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::read | ( | DcmItem & | item | ) |
| virtual

Read CT Acquisition Details Sequence item from given dataitem.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

## ◆ setDataCollectionDiameter()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::setDataCollectionDiameter | ( | const Float64 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Data Collection Diameter.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setGantryDetectorTilt()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::setGantryDetectorTilt | ( | const Float64 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Gantry/Detector Tilt.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setReferencedPathIndex()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::setReferencedPathIndex | ( | const OFVector< Uint16 > & | values,
|  | const OFBool | checkValues = OFTrue )
| virtual

Set Referenced Path Index.

Parameters

  values | Values that should be set
  checkValues | Check 'values'. Not evaluated (here for consistency with other setter functions).

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setRevolutionTime()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::setRevolutionTime | ( | const Float64 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Revolution Time.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setRotationDirection()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::setRotationDirection | ( | const E_RotationDirection & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Rotation Direction.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setSingleCollimationWidth()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::setSingleCollimationWidth | ( | const Float64 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Single Collimation Width.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setTableHeight()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::setTableHeight | ( | const Float64 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Table Height.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setTotalCollimationWidth()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::setTotalCollimationWidth | ( | const Float64 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Total Collimation Width.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ write()

virtual OFCondition FGCTAcquisitionDetails::FGCTAcquisitionDetailsItem::write | ( | DcmItem & | item | ) |
| virtual

Writes the content of this class into CT Acquisition Details Sequence item (newly created) into given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgctacquisitiondetails.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1